package net.northking.cctp.upperComputer.driver.ios.command.data;


import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

public class MultiplyTapUiNodeData extends SearchUiNodeData {

    public int tapCount;

    public int touchCount;

    public int getTapCount() {
        return tapCount;
    }

    public void setTapCount(int tapCount) {
        this.tapCount = tapCount;
    }

    public int getTouchCount() {
        return touchCount;
    }

    public void setTouchCount(int touchCount) {
        this.touchCount = touchCount;
    }

    @Override
    public void buildFromInput(DataInput dataInput) throws IOException {
        super.buildFromInput(dataInput);
        tapCount = dataInput.readInt();
        touchCount = dataInput.readInt();
    }

    @Override
    public void encodeToOutput(DataOutput dataOutput) throws IOException {
        super.encodeToOutput(dataOutput);
        dataOutput.writeInt(tapCount);
        dataOutput.writeInt(touchCount);
    }
}
